## org.apache.ivy.plugins.parser.m2
Class PomWriterOptions.ConfigurationScopeMapping

    java.lang.Object
      org.apache.ivy.plugins.parser.m2.PomWriterOptions.ConfigurationScopeMapping

Enclosing class:
  PomWriterOptions

    public static class PomWriterOptions.ConfigurationScopeMapping

extends java.lang.Object

Constructor Summary
`PomWriterOptions.ConfigurationScopeMapping(java.util.Map scopesMapping)`

Method Summary
`java.lang.String` `getScope(java.lang.String[] confs)` Returns the scope mapped to the given configuration array.
`boolean` `isOptional(java.lang.String[] confs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PomWriterOptions.ConfigurationScopeMapping

    public PomWriterOptions.ConfigurationScopeMapping(java.util.Map scopesMapping)

Method Detail

### getScope

    public java.lang.String getScope(java.lang.String[] confs)

  Returns the scope mapped to the given configuration array.

  Parameters:
    `confs` - the configurations for which the scope should be returned
  Returns:
    the scope to which the conf is mapped

### isOptional

    public boolean isOptional(java.lang.String[] confs)